TweakEasy Professional Help
Introduction
TweakEasy Icon
TweakEasy Professional: A professional yet easy-to-use Windows tweaking utility with 2494 policies to configure.

TweakEasy Professional enables you to tweak a variety of Windows settings and apply them as a policy, so they cannot be changed by other users. The program includes access to almost 2500 settings that are categorized in folders and include a short description of their functionality. The policy cover all aspects of the operating system, including network settings, control panel access, printers, user accounts, device installation, Internet Explorer settings and much more. A built-in search feature enables you to locate specific policies by keyword, and a bookmark option lets you save them in a list for quick access. Other features include policy report generation, logging of changes, password protected interface and more.


Key Features
• Ability to browse all 2494 policies with ease.
• Ability to search all policies within seconds*.
• Ability to bookmark any policy with a single click.
• Ability to filter policies based on Windows/software version.
• Ability to save/load all policies within seconds*.
• Ability to reset all policies to default state within seconds*.
• Ability to create all policies report within seconds*.
• Ability to export log within seconds*.
• Ability to change skin to any color with a few clicks.
• Ability to restrict the software usage with a password.
• 15 days full version trial.
• Support Windows Vista, Server 2003, XP, and 2000.

* Tested on Intel Pentium 4 with Hyper Threading technology computers.


System Requirements
Any computer with Windows Vista, Server 2003, XP, or 2000 installed.


What's New in Version 4.4
• Rebuilt using Visual C++ 8.0 SP1.
• Added Unicode support.
• Performed minor changes.


Common Questions
What are policies?
Policies are a set of rules guiding and protecting whatever settings you make. Policies help you better protect the computer and configure the way your operating system behaves in certain situations.
How do I find policies?
You can find all 2494 policies available in TweakEasy Professional using Policies Browser and Search Policies.
Can I bookmark policies that I often used?
Yes, you can bookmark policies that you often used. If Policies Browser or Search Policies is currently showed in main window and no dialog is opened, select any policy in the listview (use Ctrl or Shift key to make multiple selection), then click Bookmark button. If Change Policy dialog is currently showed, just click Bookmark button. You can see all bookmarked policies in Bookmark List.
Can I filter policies that are showed in Policies Browser?
Yes, you can filter policies that are showed in Policies Browser using Policies Filter function in Options dialog.
Can I transfer any policy from one computer to any computer?
Yes, you can transfer any policy from one computer to any computer from Save/Load Policies dialog.
Can I reset any policy to default state using the software?
Yes, you can reset any policy to default state using TweakEasy Professional from Reset Policies to Default State dialog.
Can I create any policy report using the software?
Yes, you can create any policy report using TweakEasy Professional from Create Policies Report dialog. You can save the report to a HTML file, a text file, or the clipboard.
Does the software create log when changing any policy?
Yes, TweakEasy Professional creates log when changing any policy. You can see the log in Log dialog. You can export the log to a HTML file, a text file, or the clipboard from Export Log dialog.
Can I restrict the software usage?
Yes, you can restrict TweakEasy Professional usage by providing password from Password function in Options dialog.
Can I change the software skin to any color?
Yes, you can change TweakEasy Professional skin to any desired color using Skin function in Options dialog.
I have registered TweakEasy Professional. Where can I see my registration information?
You can see your registration information in About dialog.


Useful Links
Website: | www.winsetter.com
TweakEasy Professional webpage: | www.winsetter.com/go.php?p=pro
Purchase TweakEasy Professional webpage: | www.winsetter.com/go.php?p=purchase
TweakEasy Support webpage: | www.winsetter.com/go.php?p=support


Policies Browser
• Policies Browser is shown after you clicked Policies Browser button in main window.
• Policies Browser contains all 2494 policies available in TweakEasy Professional.
• When you select a folder in the treeview, the status bar displays information related to the selected folder and the listview shows the selected folder content.
• When you select a policy in the listview, the information box displays information related to the selected policy.
• Any policy in the listview with yellow LED means that the policy state is not configured.
• Any policy in the listview with green LED means that the policy state is enabled.
• Any policy in the listview with red LED means that the policy state is disabled.
• Double click any policy to open Change Policy dialog where you can change the policy state and parameter there.
• You can filter policies showed in the listview using Policies Filter function in Options dialog.
• You can sort listview items by clicking related column header.
• To bookmark any policy, just select any policy in the listview (use Shift or Ctrl key to make multiple selection), then click Bookmark button. You can see all bookmarked policies in Bookmark List.
• You can save all policies or selected policies in the listview from Save/Load Policies dialog.
• You can reset all policies or selected policies in the listview to default state from Reset Policies to Default State dialog.
• You can create all policies or selected policies in the listview report from Create Policies Report dialog.


Search Policies
• Search Policies is shown after you clicked Search Policies button in main window.
• You can search any policy that available in TweakEasy Professional using Search Policies.
• Enter any keyword to Search for editbox to search any policy that contains it.
• Click Search button to start searching policies.
• Check Search in policy name checkbox to make Search Policies also search in policy name.
• Check Search in policy state checkbox to make Search Policies also search in policy state.
• Check Search in policy information checkbox to make Search Policies also search in policy information.
• Check Search in policy folder checkbox to make Search Policies also search in policy folder.
• Check Ignore case during search checkbox to make Search Policies perform search in case-insensitive manner.
• Check Apply Policies Filter checkbox to make Search Policies applies Policies Filter. You can change the settings using Policies Filter function in Options dialog.
• The search queries are preserved in Search History. Double click any item, or select any item then click Feed button, to feed the item to Search for editbox. Click Clear button to clear Search History.
• Number of policies resulted from the search is showed in the status bar alongside the search query.
• When you select a policy in the listview, the information box displays information related to the selected policy.
• Any policy in the listview with yellow LED means that the policy state is not configured.
• Any policy in the listview with green LED means that the policy state is enabled.
• Any policy in the listview with red LED means that the policy state is disabled.
• Double click any policy to open Change Policy dialog where you can change the policy state and parameter there.
• You can sort listview items by clicking related column header.
• To remove any policy, just select any policy in the listview (use Shift or Ctrl key to make multiple selection), then click Remove button.
• To bookmark any policy, just select any policy in the listview (use Shift or Ctrl key to make multiple selection), then click Bookmark button. You can see all bookmarked policies in Bookmark List.
• You can save all policies or selected policies in the listview from Save/Load Policies dialog.
• You can reset all policies or selected policies in the listview to default state from Reset Policies to Default State dialog.
• You can create all policies or selected policies in the listview report from Create Policies Report dialog.


Bookmark List
• Bookmark List is shown after you clicked Bookmark List button in main window.
• Bookmark List contains all policies that you have bookmarked.
• Number of policies contained in Bookmark List is showed in the status bar.
• When you select a policy in the listview, the information box displays information related to the selected policy.
• Any policy in the listview with yellow LED means that the policy state is not configured.
• Any policy in the listview with green LED means that the policy state is enabled.
• Any policy in the listview with red LED means that the policy state is disabled.
• Double click any policy to open Change Policy dialog where you can change the policy state and parameter there.
• You can sort listview items by clicking related column header.
• To remove any policy, just select any policy in the listview (use Shift or Ctrl key to make multiple selection), then click Remove button. To remove all policies, just click Clear button.
• You can save all policies or selected policies in the listview from Save/Load Policies dialog.
• You can reset all policies or selected policies in the listview to default state from Reset Policies to Default State dialog.
• You can create all policies or selected policies in the listview report from Create Policies Report dialog.


Tasks Menu
• Tasks menu is shown after you clicked Tasks button in main window.
• Click Save/Load Policies menu to open Save/Load Policies dialog.
• Click Reset Policies to Default State menu to open Reset Policies to Default State dialog.
• Click Create Policies Report menu to open Create Policies Report dialog.
• Click View Log menu to open Log dialog.
• Click Change Options menu to open Options dialog.
• Click Register menu to open Register dialog.


Help Menu
• Help menu is shown after you clicked Help button in main window.
• Click Help Topics menu to open this help file.
• Click Context Help menu to open this help file and go to the help page for Policies Browser, Search Policies, or Bookmark List depends which one is currently showed in main window.
• Click Visit Website menu to go to TweakEasy Professional website, www.winsetter.com.
• Click Get Latest Version menu to go to TweakEasy Professional website, www.winsetter.com, and get the latest version.
• Click Get Assistance menu to go to TweakEasy Professional website, www.winsetter.com, and get assistance from TweakEasy Support.
• Click About menu to open About dialog.


Splash Screen
• Splash screen is shown before any dialog or main window is showed.
• Splash screen contains the software name and legal notice.
• TweakEasy Professional creates fonts and drawing tools, and loading graphics during the appearance of this dialog. When the process finished, the dialog will be closed automatically.


Enter Password Dialog
• Enter Password dialog is shown before main window is showed to ask the user to enter a password before using TweakEasy Professional.
• Enter Password dialog appears only if you have set a password using Password function in Options dialog.
• Click Enter button to enter the password in the editbox.
• Click Hint button to see password hint.
• Click Help button to open this help file and go to this page.
• Click Close button to close the dialog.


Change Policy Dialog
• Change Policy dialog is shown after you double clicked any policy in Policies Browser listview, Search Policies listview, or Bookmark List listview.
• Change Policy dialog is the place where you can change the policy state and parameter. The policy showed in this dialog is the selected policy in Policies Browser listview, Search Policies listview, or Bookmark List listview depends which one is currently showed in main window.
• Click Policy button to show the Policy group box where you change the policy state and parameter there.
• Click Information button to show the information box which contains information related to the policy currently showed.
• Click Previous button to go to the policy above the selected policy in Policies Browser listview, Search Policies listview, or Bookmark List listview depends which one is currently showed in main window. If no policy is existed above the selected policy in the listview, this button will be disabled.
• Click Next button to go to the policy below the selected policy in Policies Browser listview, Search Policies listview, or Bookmark List listview depends which one is currently showed in main window. If no policy is existed below the selected policy in the listview, this button will be disabled.
• Click Bookmark button to bookmark the policy currently showed in the dialog. You can see all bookmarked policies in Bookmark List.
• Click Help button to open this help file and go to this page.
• Click OK button to apply all the changes and close the dialog.
• Click Cancel button to discard all the changes and close the dialog.
• Click Apply button to apply all the changes without closing the dialog.


Save/Load Policies Dialog
• Save/Load Policies dialog is shown after you clicked Save/Load Policies menu in Tasks menu.
• You can save any policy from Save/Load Policies dialog to a TEP file which then you can load it also using this dialog from any computer with TweakEasy Professional installed.
• Select "Save all policies without Policies Filter applied" from Select an action combobox to save all policies without Policies Filter applied to a TEP file.
• Select "Save all policies with Policies Filter applied" from Select an action combobox to save all policies with Policies Filter applied to a TEP file. You can change the settings using Policies Filter function in Options dialog.
• Select "Save all policies in Policies Browser current folder" from Select an action combobox to save all policies in Policies Browser listview to a TEP file.
• Select "Save all policies in Search Policies" from Select an action combobox to save all policies in Search Policies listview to a TEP file.
• Select "Save all policies in Bookmark List" from Select an action combobox to save all policies in Bookmark List listview to a TEP file.
• Select "Save all selected policies in Policies Browser current folder" from Select an action combobox to save all selected policies in Policies Browser listview to a TEP file.
• Select "Save all selected policies in Search Policies" from Select an action combobox to save all selected policies in Search Policies listview to a TEP file.
• Select "Save all selected policies in Bookmark List" from Select an action combobox to save all selected policies in Bookmark List listview to a TEP file.
• Select "Load policies" from Select an action combobox to load policies from a TEP/WSU file.
• Enter a filename to the editbox to save policies to or to load policies from. A "tep" file extension will be added if you don't specify a file extension in the editbox, but the adding won't change the editbox content.
• Click Browse button to open common Browse for File dialog to select a file or to create one.
• Click Save or Load button to start saving/loading policies.
• Click Help button to open this help file and go to this page.
• Click Close button to close the dialog.


Reset Policies to Default State Dialog
• Reset Policies to Default State dialog is shown after you clicked Reset Policies to Default State menu in Tasks menu.
• You can reset any policy to default state from Reset Policies to Default State dialog.
• Select "All policies without Policies Filter applied" from Select policies combobox to reset all policies without Policies Filter applied to default state.
• Select "All policies with Policies Filter applied" from Select policies combobox to reset all policies with Policies Filter applied to default state. You can change the settings using Policies Filter function in Options dialog.
• Select "All policies in Policies Browser current folder" from Select policies combobox to reset all policies in Policies Browser listview to default state.
• Select "All policies in Search Policies" from Select policies combobox to reset all policies in Search Policies listview to default state.
• Select "All policies in Bookmark List" from Select policies combobox to reset all policies in Bookmark List listview to default state.
• Select "All selected policies in Policies Browser current folder" from Select policies combobox to reset all selected policies in Policies Browser listview to default state.
• Select "All selected policies in Search Policies" from Select policies combobox to reset all selected policies in Search Policies listview to default state.
• Select "All selected policies in Bookmark List" from Select policies combobox to reset all selected policies in Bookmark List listview to default state.
• Click Reset button to start resetting policies to default state.
• Click Help button to open this help file and go to this page.
• Click Close button to close the dialog.


Create Policies Report Dialog
• Create Policies Report dialog is shown after you clicked Create Policies Report menu in Tasks menu.
• You can create policies report from Create Policies Report dialog to a HTML file, a text file, or the clipboard.
• Select "All policies without Policies Filter applied" from Select policies combobox to create all policies without Policies Filter applied report.
• Select "All policies with Policies Filter applied" from Select policies combobox to create all policies with Policies Filter applied report. You can change the settings using Policies Filter function in Options dialog.
• Select "All policies in Policies Browser current folder" from Select policies combobox to create all policies in Policies Browser listview report.
• Select "All policies in Search Policies" from Select policies combobox to create all policies in Search Policies listview report.
• Select "All policies in Bookmark List" from Select policies combobox to create all policies in Bookmark List listview report.
• Select "All selected policies in Policies Browser current folder" from Select policies combobox to create all selected policies in Policies Browser listview report.
• Select "All selected policies in Search Policies" from Select policies combobox to create all selected policies in Search Policies listview report.
• Select "All selected policies in Bookmark List" from Select policies combobox to create all selected policies in Bookmark List listview report.
• Select "HTML file" from Save to combobox to save the report to a HTML file.
• Select "Text file" from Save to combobox to save the report to a text file. You can later import it from a spreadsheet program.
• Select "Clipboard" from Save to combobox to save the report to the clipboard. You can then paste it from a spreadsheet program.
• If you choose to save the report to a HTML or text file, enter a filename to the editbox. A "html" or "txt" file extension will be added if you don't specify a file extension in the editbox, but the adding won't change the editbox content.
• Click Browse button to open common Browse for File dialog to select a file or to create one.
• Click Create button to start creating policies report.
• If you choose to save the report to a HTML file, you can customize the HTML options. Click the color button below Page background color, Header text color, Sub-header text color, Item background color, Item text color, or Item border color text to open common Choose Color dialog to choose your desired color for the item.
• Click Set Options button to save the HTML options changes. Click Reset to Default button to reset the options to default colors.
• Click Help button to open this help file and go to this page.
• Click Close button to close the dialog.


Log Dialog
• Log dialog is shown after you clicked View Log menu in Tasks menu.
• TweakEasy Professional creates log when changing any policy. You can view the log in Log dialog.
• You can sort listview items by clicking related column header.
• Click Export button to open Export Log dialog which you can export the log to a HTML file, a text file, or the clipboard there.
• Click Clear button to clear the log.
• Click Help button to open this help file and go to this page.
• Click Close button to close the dialog.


Export Log Dialog
• Export Log dialog is shown after you clicked Export button in Log dialog.
• You can export the log to a HTML file, a text file, or the clipboard from Export Log dialog.
• Select "HTML file" from Export to combobox to save the log to a HTML file.
• Select "Text file" from Export to combobox to save the log to a text file. You can later import it from a spreadsheet program.
• Select "Clipboard" from Export to combobox to save the log to the clipboard. You can then paste it from a spreadsheet program.
• If you choose to save the report to a HTML or text file, enter a filename to the editbox. A "html" or "txt" file extension will be added if you don't specify a file extension in the editbox, but the adding won't change the editbox content.
• Click Browse button to open common Browse for File dialog to select a file or to create one.
• Click Export button to start exporting the log.
• If you choose to export the log to a HTML file, you can customize the HTML options. Click the color button below Page background color, Header text color, Sub-header text color, Item background color, Item text color, or Item border color text to open common Choose Color dialog to choose your desired color for the item.
• Click Set Options button to save the HTML options changes. Click Reset to Default button to reset the options to default colors.
• Click Help button to open this help file and go to this page.
• Click Close button to close the dialog.


Options Dialog
• Options dialog is shown after you clicked Change Options menu in Tasks menu.
• You can change TweakEasy Professional behavior and appearance in Options dialog.
• Click Help button to open this help file and go to this page.
• Click Close button to close the dialog.
Policies Filter Function
• Policies Filter function is shown after you clicked Policies Filter button in Options dialog.
• You can filter policies showed in the Policies Browser listview using Policies Filter function.
• Check/uncheck any checkbox to show/hide related policies.
• Click Set Filter button to set Policies Filter.
Password Function
• Password function is shown after you clicked Password button in Options dialog.
• You can restrict TweakEasy Professional usage by providing password using Password function.
• Old password editbox is disabled if no password has been set.
• New password editbox content and Confirm new password editbox content must be matched.
• You should enter a password hint in Password hint editbox although this is an optional.
• Click Set Password button to set the password.
Skin Function
• Skin function is shown after you clicked Skin button in Options dialog.
• You can set TweakEasy Professional skin to any desired color using Skin function. Click the color button below Primary background color, Secondary background color, Primary text color, or Secondary text color text to open common Choose Color dialog to choose your desired color for the item.
• Check Draw button and checkbox focus checkbox to make TweakEasy Professional draws button and checkbox focus.
• Check Highlight listview row when its item is selected checkbox to make TweakEasy Professional highlights listview row when its item is selected.
• Check Display listview gridlines checkbox to make TweakEasy Professional displays listview gridlines.
• Click Set Skin button to set the appearance changes. Click Reset to Default button to reset the appearance to default colors and states.


Register Dialog
• Register dialog is shown after you clicked Register menu in Tasks menu.
• Register dialog is also shown before main window is showed to ask the user to register if the trial period has expired.
• Register dialog contains information about trial period status and it is the place to enter the registration information.
• Click Purchase button to go to TweakEasy Professional website, www.winsetter.com, and purchase the software.
• Click Register button to enter the registration information in the editboxes.
• Click Help button to open this help file and go to this page.
• Click Close button to close the dialog.


About Dialog
• About dialog is shown after you clicked About menu in Help menu.
• About dialog contains the software information, copyright notice, and registration information.
• Click the dialog to close it.